Subject: Re: Interested in helping open source friends on HP-UX?

From: Michael J Gruber <[email-masked]>
Date: Tue, 03 Mar 2015 17:05:53 +0100

H.Merijn Brand venit, vidit, dixit 03.03.2015 16:30:
> On Tue, 03 Mar 2015 15:55:48 +0100, Michael J Gruber
> <[email-masked]> wrote:
> 
>> H.Merijn Brand venit, vidit, dixit 19.02.2015 19:56:
>>> On Thu, 19 Feb 2015 14:21:11 +0100, Michael J Gruber
>>> <[email-masked]> wrote:
>>>
>>>> Jeff, you got it wrong. You should do the hard part and leave the easy
>>>> part to us!
>>>>
>>>> Thanks anyways, I'll add this to my HP_UX branch.
>>>
>>> I did not mention this in earlier mails. When using the HP C-ANSI-C
>>> compiler, MAX_INT is not set.
>>>
>>> I had to add
>>> --8<---
>>> #ifndef   SIZE_MAX
>>> #  define SIZE_MAX              (18446744073709551615UL)
>>> /* define SIZE_MAX              (4294967295U) */
>>> #  endif
>>> -->8---
>>>
>>> to these files
>>>
>>> sha1_file.c
>>> utf8.c
>>> walker.c
>>> wrapper.c
>>>
>>> And yes, that could be dynamic and probably be in another header file
>>>
>>
>> In compat/regex/regex_internal.h we have
>>
>> /* For loser systems without the definition.  */
>> #ifndef SIZE_MAX
>> # define SIZE_MAX ((size_t) -1)
>> #endif
>>
>> Does this work in your environment?
> 
> I think it does:
> 
> make
>     CC sha1_file.o
>     CC utf8.o
>     CC walker.o
> "walker.c", line 119: warning #4232-D: conversion from "struct object *" to a
>           more strictly aligned type "struct commit *" may cause misaligned
>           access
>                 if (process_commit(walker, (struct commit *)obj))
>                                            ^
> 
> "walker.c", line 124: warning #4232-D: conversion from "struct object *" to a
>           more strictly aligned type "struct tree *" may cause misaligned
>           access
>                 if (process_tree(walker, (struct tree *)obj))
>                                          ^
> 
> "walker.c", line 132: warning #4232-D: conversion from "struct object *" to a
>           more strictly aligned type "struct tag *" may cause misaligned access
>                 if (process_tag(walker, (struct tag *)obj))
>                                         ^
> 
>     CC wrapper.o
>     AR libgit.a
> 
> 

Hmmh. Did you get these same warnings with the fix you had before? They
don't make feel that confident...

>> [Trying to not let this fall into oblivion...]
> 
> Much appreciated!
> 
>> Michael
> 
>